// Generated by CoffeeScript 1.6.2
(function() {
  var __hasProp = {}.hasOwnProperty,
    __extends = function(child, parent) { for (var key in parent) { if (__hasProp.call(parent, key)) child[key] = parent[key]; } function ctor() { this.constructor = child; } ctor.prototype = parent.prototype; child.prototype = new ctor(); child.__super__ = parent.prototype; return child; };

  define(['jquery', 'underscore', 'backbone', 'PageCollection', 'Page', 'SlidingPanel', 'text!templates/pageman.html', 'text!templates/pagelist.html', 'dependencies/backbone-forms/backbone-forms.min'], function($, _, Backbone, PageCollection, Page, SlidingPanel, pagemantemplate, pagelist) {
    var PageManView, _ref;

    return PageManView = (function(_super) {
      __extends(PageManView, _super);

      function PageManView() {
        _ref = PageManView.__super__.constructor.apply(this, arguments);
        return _ref;
      }

      PageManView.prototype.id = 'cmex-admin-pageman';

      PageManView.prototype.currentPage = null;

      PageManView.prototype.form = null;

      PageManView.prototype.events = {
        'click .cmex-admin-page-list a': 'logClick'
      };

      PageManView.prototype.initialize = function(options) {
        var init;

        init = _.bind(SlidingPanel.prototype.initialize, this);
        init(options);
        if (options.toolbar != null) {
          this.listenTo(options.toolbar, 'clickToolbarPageButton', this.render);
        }
        this.collection = new PageCollection();
        return this.currentPage = new Page(options.page);
      };

      PageManView.prototype.logClick = function(ev) {
        var id;

        ev.preventDefault();
        id = $(ev.currentTarget).attr('data-id');
        this.currentPage = new Page({
          id: id
        });
        this.currentPage.fetch({
          success: _.bind(this.updatePageForm, this)
        });
        this.$el.find('.cmex-admin-page-list li.active').removeClass('active');
        return $(ev.currentTarget).parent().addClass('active');
      };

      PageManView.prototype.updatePageList = function(resp) {
        var pl;

        pl = this.$el.find('.cmex-admin-page-list');
        pl.html(_.template(pagelist, {
          pages: resp
        }));
        return this.$el.find(".cmex-admin-page-list a[data-id=" + (this.currentPage.get('id')) + "]").parent().addClass('active');
      };

      PageManView.prototype.updatePageForm = function() {
        this.form = new Backbone.Form({
          model: this.currentPage
        });
        this.form.render();
        return this.$el.find('.cmex-admin-property-column').html('').append(this.form.el);
      };

      PageManView.prototype.buildUI = function() {
        this.$el.html(pagemantemplate);
        this.updatePageForm();
        return this.collection.fetch({
          success: _.bind(this.updatePageList, this)
        });
      };

      return PageManView;

    })(SlidingPanel);
  });

}).call(this);
